Bug 636876 - certmonger fails to start on new install
Summary: certmonger fails to start on new install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: certmonger
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 636893 636894
TreeView+ depends on / blocked
 
Reported: 2010-09-23 14:44 UTC by Rob Crittenden
Modified: 2011-03-10 20:51 UTC (History)
2 users (show)

Fixed In Version: certmonger-0.35.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 636893 (view as bug list)
Environment:
Last Closed: 2011-03-10 20:51:45 UTC


Attachments (Terms of Use)

Description Rob Crittenden 2010-09-23 14:44:06 UTC
Description of problem:

certmonger does not start when initially installed:

# /sbin/service start certmonger
Starting certmonger: Error connecting to D-Bus. [FAILED]

Restarting the messagebus service will let certmonger start.

# /sbin/service restart messagebus
# /sbin/service start certmonger

Comment 1 Nalin Dahyabhai 2010-09-23 15:51:39 UTC
We basically need a 'killall -HUP dbus-daemon' or equivalent added to %post to get the message bus to allow certmonger to claim the service name it attempts to register when it's started.

Comment 2 Marc Sauton 2011-01-07 02:38:09 UTC
I have the same issue when testing on a new VM installed from scratch:

Fedora release 14 (Laughlin)
Linux ca1.example.com 2.6.35.6-45.fc14.x86_64 #1 SMP Mon Oct 18 23:57:44 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
ipa-server-2.0.0.pre1-0.fc14.x86_64

could we add the workaround in comment 1 to either
the ipa-server-install script
or the ipav2beta1 release notes at
http://freeipa.org/page/IPAv2_beta
?

(
which is linked from http://freeipa.org/page/Main_Page
for
# RELEASED FreeIPA v2 Beta 1 (2.0.0.pre1), Release Notes 
under the news section
)

Comment 3 Marc Sauton 2011-01-07 02:41:31 UTC
at second though, probably the release notes would make more sense since it seem to be a F14 issue more than IPA itself, I will update my ks %post section.

Comment 4 Marc Sauton 2011-01-07 02:48:14 UTC
update: in my test case, the workwound in comment 1 did not work for me, I had to do the following in order to get certmonger to start and to be able to complete ipa-server-instal:
/etc/init.d/messagebus start
ipa-server-install --uninstall
ipa-server-install ...options...

Comment 5 Rob Crittenden 2011-01-07 14:08:29 UTC
We made a change in IPA post-beta to always start the messagebus service.

Comment 6 Fedora Update System 2011-03-02 21:43:58 UTC
Package certmonger-0.35.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing certmonger-0.35.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/certmonger-0.35.1-1.fc14
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-02 21:44:06 UTC
Package certmonger-0.35.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing certmonger-0.35.1-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/certmonger-0.35.1-1.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-03-02 21:44:13 UTC
Package certmonger-0.35.1-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing certmonger-0.35.1-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/certmonger-0.35.1-1.fc13
then log in and leave karma (feedback).

Comment 9 Nalin Dahyabhai 2011-03-02 21:52:02 UTC
Please pardon the comment spew.  I wasn't thinking quite right when filing the update for F14 and F15, which should already have included this.  The testing update for F13 adds a 'killall' to the %post as noted in comment #1 to get the message bus to reload its configuration, so that it'll permit certmonger to start and claim the service name on the bus.

Comment 10 Fedora Update System 2011-03-03 08:23:17 UTC
certmonger-0.35.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update certmonger'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/certmonger-0.35.1-1.fc13

Comment 11 Fedora Update System 2011-03-10 20:51:40 UTC
certmonger-0.35.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.